<div class="d-block" class="w-100 h-100 p-2 pb-3">
    <canvas #canvas class="w-100 h-100" *ngIf="dpSet && isViewDataTypeSupported"></canvas>
    <p class="text-center h-100 align-middle" *ngIf="!dpSet">Please Selected Data Provider</p>
    <p class="text-center h-100 align-middle" *ngIf="dpSet && !isViewDataTypeSupported">Data Provider Not Supported</p>
</div>